Fwd: openssl support for PQUIC

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Fwd: openssl support for PQUIC

Samath Lokuge
Hello,
I am trying to install PQUIC set up for some testing.

it says I need  "openssl-dev" but I could not find that package.
So I installed "openssl-1.1.1g" instead but it does not work.
I have 2 questions .
1 .Where I can find  "openssl-dev" package for Ubuntu ?
2. Does  "openssl-dev" or any other version has support  for  "QUIC"  ?

Thanks 

Samath
Reply | Threaded
Open this post in threaded view
|

Re: Fwd: openssl support for PQUIC

Matt Caswell-2


On 23/07/2020 08:21, Samath Lokuge wrote:
> Hello,
> I am trying to install PQUIC set up for some testing.
> https://pquic.org/ 
>
> it says I need  "openssl-dev" but I could not find that package.
> So I installed "openssl-1.1.1g" instead but it does not work.
> I have 2 questions .
> 1 .Where I can find  "openssl-dev" package for Ubuntu ?

I think the "dev" package in Ubuntu is called "libssl-dev"


> 2. Does  "openssl-dev" or any other version has support  for  "QUIC"  ?

No version of OpenSSL supports QUIC although the Google boringssl fork
has support for the Google QUIC stack. There is also an OpenSSL
community patch that enables support for the Google QUIC stack on top of
OpenSSL ()https://github.com/openssl/openssl/pull/8797).

IIUC, PQUIC is actually based on picotls (a different TLS stack). I
assume it just needs OpenSSL for the low level crypto.

Matt